// ID:ID, battle_type:场地类型, un_lock_magic:魔法阵解锁, demand:魔币准入金额, prohibit:魔币禁止金额, use_magic:魔法阵使用等级, fish_wave:鱼阵波数, fish_scheme:鱼阵方案（方案,权重|方案,权重）

export default class M_un_lock_battle {
  private static data =
      {"1001":{"ID":1001,"battle_type":1,"un_lock_magic":1,"demand":100,"prohibit":3000000,"use_magic":[1,10],"fish_wave":[4,6],"fish_scheme":"1,1|2,1|3,2|4,2|5,2|6,2"}

      ,"1002":{"ID":1002,"battle_type":2,"un_lock_magic":11,"demand":2000,"prohibit":20000000,"use_magic":[11,20],"fish_wave":[5,6],"fish_scheme":"1,1|2,1|3,2|4,2|5,2|6,2"}

      ,"1003":{"ID":1003,"battle_type":3,"un_lock_magic":19,"demand":10000,"prohibit":0,"use_magic":[19,30],"fish_wave":[6,8],"fish_scheme":"1,1|2,1|3,2|4,2|5,2|6,2|7,2|8,2"}

      }// ID:ID, battle_type:场地类型, un_lock_magic:魔法阵解锁, demand:魔币准入金额, prohibit:魔币禁止金额, use_magic:魔法阵使用等级, fish_wave:鱼阵波数, fish_scheme:鱼阵方案（方案,权重|方案,权重）


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}